ClusterManagementListOperationsResult (Apache Geode 1.11.0)
Date: 2019-12-20

org.apache.geode.management.api

## Class ClusterManagementListOperationsResult<V extends OperationResult>

- java.lang.Object
- - org.apache.geode.management.api.ClusterManagementResult
  - - org.apache.geode.management.api.ClusterManagementListOperationsResult<V>

- Type Parameters:
    `V` - the result type associated with the operation type being listed

      @Experimental
      public class ClusterManagementListOperationsResult<V extends OperationResult>
      extends ClusterManagementResult

  returned from `ClusterManagementService.list(ClusterManagementOperation)`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.geode.management.api.ClusterManagementResult

      `ClusterManagementResult.StatusCode`

  - ### Field Summary

    - ### Fields inherited from class org.apache.geode.management.api.ClusterManagementResult

      `statusCode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClusterManagementListOperationsResult(List<ClusterManagementOperationResult<V>> result)` for internal use only

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ClusterManagementOperationResult<V>>` | `getResult()` Returns the payload of the list call

    - ### Methods inherited from class org.apache.geode.management.api.ClusterManagementResult

      `getStatusCode, getStatusMessage, isSuccessful, setLinks, setStatus, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClusterManagementListOperationsResult

          public ClusterManagementListOperationsResult(List<ClusterManagementOperationResult<V>> result)

      for internal use only

  - ### Method Detail

    - #### getResult

          public List<ClusterManagementOperationResult<V>> getResult()

      Returns the payload of the list call